Skip to main content
`Ctrl`+`K`

# PetscFVSetType

Builds a particular `PetscFV`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetType(PetscFV fvm, PetscFVType name)

Collective

## Input Parameters

- fvm - The `PetscFV` object

- name - The type of FVM space

## Options Database Key

- -petscfv_type type - Sets the `PetscFVType`; use -help for a list of available types

## See Also

`PetscFV`, `PetscFVType`, `PetscFVGetType()`, `PetscFVCreate()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

## Examples

src/ts/tutorials/ex52.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages